Bug 146274 - AX: implement @aria-roledescription
Summary: AX: implement @aria-roledescription
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: chris fleizach
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-06-23 23:13 PDT by James Craig
Modified: 2015-06-27 20:31 PDT (History)
13 users (show)

See Also:


Attachments
patch (6.41 KB, patch)
2015-06-24 11:12 PDT, chris fleizach
no flags Details | Formatted Diff | Diff
patch (8.53 KB, patch)
2015-06-25 23:37 PDT, chris fleizach
no flags Details | Formatted Diff | Diff
patch (6.71 KB, patch)
2015-06-26 08:08 PDT, chris fleizach
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Radar WebKit Bug Importer 2015-06-23 23:13:56 PDT
<rdar://problem/21519129>
Comment 2 chris fleizach 2015-06-24 11:12:50 PDT
Created attachment 255493 [details]
patch
Comment 3 chris fleizach 2015-06-25 23:37:14 PDT
Created attachment 255618 [details]
patch
Comment 4 chris fleizach 2015-06-26 08:08:34 PDT
Created attachment 255637 [details]
patch
Comment 5 WebKit Commit Bot 2015-06-27 16:02:57 PDT
Comment on attachment 255637 [details]
patch

Clearing flags on attachment: 255637

Committed r186038: <http://trac.webkit.org/changeset/186038>
Comment 6 WebKit Commit Bot 2015-06-27 16:03:03 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 David Kilzer (:ddkilzer) 2015-06-27 20:31:15 PDT
(In reply to comment #7)
> The new test always fails on Windows:
> 
> <https://build.webkit.org/results/Apple%20Win%207%20Release%20(Tests)/
> r186038%20(52670)/results.html>
> <https://build.webkit.org/results/Apple%20Win%207%20Debug%20(Tests)/
> r186038%20(66697)/results.html>

Marked test as failing on Windows:
Committed r186039:  <http://trac.webkit.org/changeset/186039>